- release_tracks: [BETA, GA]
  help_text:
    brief: Get the IAM policy for the secret.
    description: |
      Displays the IAM policy associated with the secret. If formatted as JSON,
      the output can be edited and used as a policy file for `set-iam-policy`.
      The output includes an "etag" field identifying the version emitted and
      allowing detection of concurrent policy updates.

      Run `{parent_command} set-iam-policy` for additional details.

    examples: |
      To print the IAM policy for secret named 'my-secret', run:

        $ {command} my-secret


  arguments:
    resource:
      help_text: Name of the secret from which to get IAM policy.
      spec: !REF googlecloudsdk.command_lib.secrets.resources:secret

  iam:
    enable_condition: true
    policy_version: 3
    get_iam_policy_version_path: options_requestedPolicyVersion

  request:
    collection: secretmanager.projects.secrets
    api_version: v1
